site_name: Data Controller for SAS® Documentation
site_url: https://docs.datacontroller.io
nav:
- Home: index.md
- User Guide:
    - Overview: dc-overview.md
    - DC User Guide: dc-userguide.md
    - Data Catalog: dcu-datacatalog.md
    - Data Lineage: dcu-lineage.md
    - Data Restore: restore.md
    - File Uploads: files.md
    - Filter Mechanism: filter.md
    - Locking Mechanism: locking-mechanism.md
    - Table Viewer: dcu-tableviewer.md
    - ViewBoxes: viewboxes.md
    - Admin Services: admin-services.md
- Table Guide:
    - MPE_AUDIT: tables/mpe_audit.md
    - MPE_COLUMN_LEVEL_SECURITY: tables/mpe_column_level_security.md
    - MPE_CONFIG: tables/mpe_config.md
    - MPE_DATACATALOG_CATS: tables/mpe_datacatalog_cats.md
    - MPE_DATACATALOG_LIBS: tables/mpe_datacatalog_libs.md
    - MPE_DATACATALOG_OBJS: tables/mpe_datacatalog_objs.md
    - MPE_DATACATALOG_TABS: tables/mpe_datacatalog_tabs.md
    - MPE_DATACATALOG_VARS: tables/mpe_datacatalog_vars.md
    - MPE_DATASTATUS_CATS: tables/mpe_datastatus_cats.md
    - MPE_DATASTATUS_LIBS: tables/mpe_datastatus_libs.md
    - MPE_DATASTATUS_OBJ: tables/mpe_datastatus_objs.md
    - MPE_DATASTATUS_TABS: tables/mpe_datastatus_tabs.md
    - MPE_LOCKANYTABLE: tables/mpe_lockanytable.md
    - MPE_REQUESTS: tables/mpe_requests.md
    - MPE_REVIEW: tables/mpe_review.md
    - MPE_SUBMIT: tables/mpe_submit.md
    - MPE_SECURITY: tables/mpe_security.md
    - MPE_TABLES: tables/mpe_tables.md
    - MPE_VALIDATIONS: tables/mpe_validations.md
    - MPE_XLMAP_DATA: tables/mpe_xlmap_data.md
    - MPE_XLMAP_INFO: tables/mpe_xlmap_info.md
    - MPE_XLMAP_RULES: tables/mpe_xlmap_rules.md
- Configuration:
    - Column Level Security: column-level-security.md
    - Dates / Datetimes: dcc-dates.md
    - Dynamic Cell Dropdown: dynamic-cell-dropdown.md
    - Emails: emails.md
    - Excel: excel.md
    - Formats: formats.md
    - Groups: dcc-groups.md
    - Libraries: libraries.md
    - Options: dcc-options.md
    - Row Level Security: row-level-security.md
    - Security: dcc-security.md
    - Selectboxes: dcc-selectbox.md
    - Tables: dcc-tables.md
    - Validations: dcc-validations.md
- Macros: macros.md
- Installation:
    - System Requirements: dci-requirements.md
    - SAS Viya: deploy-viya.md
    - SAS 9 EBI: dci-deploysas9.md
    - SAS 9 STP Hardening: dci-stpinstance.md
    - Troubleshooting: dci-troubleshooting.md
- Legal:
    - Privacy Policy: privacy.md
    - Evaluation Licence: evaluation-agreement.md
    - Other Licences: licences.md
- Videos: videos.md
- Roadmap:
    - Overview: roadmap.md
    - DC API: api.md

markdown_extensions:
  - admonition
  - pymdownx.superfences
  - codehilite
  - meta
  - toc:
      permalink: true

extra:
  manifest: manifest.webmanifest

extra_css: ['font-awesome.css']

plugins:
  - search:
      prebuild_index: true
  - redirects:
      redirect_maps:
          'dci-evaluation.md': 'dci-deploysas9.md'
          'dcu-fileupload.md': 'files.md'

# Repository
repo_name: 'dc/docs.datacontroller.io'
repo_url: 'https://git.datacontroller.io/dc/docs.datacontroller.io'

theme:
  name: material
  logo: 'img/favicon.ico'
  palette:
    primary: 'White'
    accent: 'Amber'
  font:
    text: 'Open Sans'
    code: 'Ubuntu Mono'
  favicon: img/favicon.ico
  custom_dir: 'theme'
  highlightjs: true
  hljs_languages:
    - SAS
    - JavaScript
    - Bash

copyright: All rights reserved &copy;2026 Bowe IO Ltd.
